IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/60
Addresses2^68
/64 networks16
- Network
2001:db8:0:380::/60- First address
2001:db8:0:380::- Last address
2001:db8:0:38f:ffff:ffff:ffff:ffff- Addresses
- 295,147,905,179,352,825,856 (2^68)
- /64 networks (LANs)
- 16
- Full form
2001:0db8:0000:0380:0000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
8.3.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:380::/60 makes 256 subnets of /68.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:380::/68 | 2001:db8:0:380:fff:ffff:ffff:ffff |
| 2 | 2001:db8:0:380:1000::/68 | 2001:db8:0:380:1fff:ffff:ffff:ffff |
| 3 | 2001:db8:0:380:2000::/68 | 2001:db8:0:380:2fff:ffff:ffff:ffff |
| 4 | 2001:db8:0:380:3000::/68 | 2001:db8:0:380:3fff:ffff:ffff:ffff |
| 5 | 2001:db8:0:380:4000::/68 | 2001:db8:0:380:4fff:ffff:ffff:ffff |
| 6 | 2001:db8:0:380:5000::/68 | 2001:db8:0:380:5fff:ffff:ffff:ffff |
| 7 | 2001:db8:0:380:6000::/68 | 2001:db8:0:380:6fff:ffff:ffff:ffff |
| 8 | 2001:db8:0:380:7000::/68 | 2001:db8:0:380:7fff:ffff:ffff:ffff |
| 9 | 2001:db8:0:380:8000::/68 | 2001:db8:0:380:8fff:ffff:ffff:ffff |
| 10 | 2001:db8:0:380:9000::/68 | 2001:db8:0:380:9fff:ffff:ffff:ffff |
| 11 | 2001:db8:0:380:a000::/68 | 2001:db8:0:380:afff:ffff:ffff:ffff |
| 12 | 2001:db8:0:380:b000::/68 | 2001:db8:0:380:bfff:ffff:ffff:ffff |
| 13 | 2001:db8:0:380:c000::/68 | 2001:db8:0:380:cfff:ffff:ffff:ffff |
| 14 | 2001:db8:0:380:d000::/68 | 2001:db8:0:380:dfff:ffff:ffff:ffff |
| 15 | 2001:db8:0:380:e000::/68 | 2001:db8:0:380:efff:ffff:ffff:ffff |
| 16 | 2001:db8:0:380:f000::/68 | 2001:db8:0:380:ffff:ffff:ffff:ffff |
| 17 | 2001:db8:0:381::/68 | 2001:db8:0:381:fff:ffff:ffff:ffff |
| 18 | 2001:db8:0:381:1000::/68 | 2001:db8:0:381:1fff:ffff:ffff:ffff |
| 19 | 2001:db8:0:381:2000::/68 | 2001:db8:0:381:2fff:ffff:ffff:ffff |
| 20 | 2001:db8:0:381:3000::/68 | 2001:db8:0:381:3fff:ffff:ffff:ffff |
| 21 | 2001:db8:0:381:4000::/68 | 2001:db8:0:381:4fff:ffff:ffff:ffff |
| 22 | 2001:db8:0:381:5000::/68 | 2001:db8:0:381:5fff:ffff:ffff:ffff |
| 23 | 2001:db8:0:381:6000::/68 | 2001:db8:0:381:6fff:ffff:ffff:ffff |
| 24 | 2001:db8:0:381:7000::/68 | 2001:db8:0:381:7fff:ffff:ffff:ffff |
| 25 | 2001:db8:0:381:8000::/68 | 2001:db8:0:381:8fff:ffff:ffff:ffff |
| 26 | 2001:db8:0:381:9000::/68 | 2001:db8:0:381:9fff:ffff:ffff:ffff |
| 27 | 2001:db8:0:381:a000::/68 | 2001:db8:0:381:afff:ffff:ffff:ffff |
| 28 | 2001:db8:0:381:b000::/68 | 2001:db8:0:381:bfff:ffff:ffff:ffff |
| 29 | 2001:db8:0:381:c000::/68 | 2001:db8:0:381:cfff:ffff:ffff:ffff |
| 30 | 2001:db8:0:381:d000::/68 | 2001:db8:0:381:dfff:ffff:ffff:ffff |
| 31 | 2001:db8:0:381:e000::/68 | 2001:db8:0:381:efff:ffff:ffff:ffff |
| 32 | 2001:db8:0:381:f000::/68 | 2001:db8:0:381:ffff:ffff:ffff:ffff |
| 33 | 2001:db8:0:382::/68 | 2001:db8:0:382:fff:ffff:ffff:ffff |
| 34 | 2001:db8:0:382:1000::/68 | 2001:db8:0:382:1fff:ffff:ffff:ffff |
| 35 | 2001:db8:0:382:2000::/68 | 2001:db8:0:382:2fff:ffff:ffff:ffff |
| 36 | 2001:db8:0:382:3000::/68 | 2001:db8:0:382:3fff:ffff:ffff:ffff |
| 37 | 2001:db8:0:382:4000::/68 | 2001:db8:0:382:4fff:ffff:ffff:ffff |
| 38 | 2001:db8:0:382:5000::/68 | 2001:db8:0:382:5fff:ffff:ffff:ffff |
| 39 | 2001:db8:0:382:6000::/68 | 2001:db8:0:382:6fff:ffff:ffff:ffff |
| 40 | 2001:db8:0:382:7000::/68 | 2001:db8:0:382:7fff:ffff:ffff:ffff |
| 41 | 2001:db8:0:382:8000::/68 | 2001:db8:0:382:8fff:ffff:ffff:ffff |
| 42 | 2001:db8:0:382:9000::/68 | 2001:db8:0:382:9fff:ffff:ffff:ffff |
| 43 | 2001:db8:0:382:a000::/68 | 2001:db8:0:382:afff:ffff:ffff:ffff |
| 44 | 2001:db8:0:382:b000::/68 | 2001:db8:0:382:bfff:ffff:ffff:ffff |
| 45 | 2001:db8:0:382:c000::/68 | 2001:db8:0:382:cfff:ffff:ffff:ffff |
| 46 | 2001:db8:0:382:d000::/68 | 2001:db8:0:382:dfff:ffff:ffff:ffff |
| 47 | 2001:db8:0:382:e000::/68 | 2001:db8:0:382:efff:ffff:ffff:ffff |
| 48 | 2001:db8:0:382:f000::/68 | 2001:db8:0:382:ffff:ffff:ffff:ffff |
| 49 | 2001:db8:0:383::/68 | 2001:db8:0:383:fff:ffff:ffff:ffff |
| 50 | 2001:db8:0:383:1000::/68 | 2001:db8:0:383:1fff:ffff:ffff:ffff |
| 51 | 2001:db8:0:383:2000::/68 | 2001:db8:0:383:2fff:ffff:ffff:ffff |
| 52 | 2001:db8:0:383:3000::/68 | 2001:db8:0:383:3fff:ffff:ffff:ffff |
| 53 | 2001:db8:0:383:4000::/68 | 2001:db8:0:383:4fff:ffff:ffff:ffff |
| 54 | 2001:db8:0:383:5000::/68 | 2001:db8:0:383:5fff:ffff:ffff:ffff |
| 55 | 2001:db8:0:383:6000::/68 | 2001:db8:0:383:6fff:ffff:ffff:ffff |
| 56 | 2001:db8:0:383:7000::/68 | 2001:db8:0:383:7fff:ffff:ffff:ffff |
| 57 | 2001:db8:0:383:8000::/68 | 2001:db8:0:383:8fff:ffff:ffff:ffff |
| 58 | 2001:db8:0:383:9000::/68 | 2001:db8:0:383:9fff:ffff:ffff:ffff |
| 59 | 2001:db8:0:383:a000::/68 | 2001:db8:0:383:afff:ffff:ffff:ffff |
| 60 | 2001:db8:0:383:b000::/68 | 2001:db8:0:383:bfff:ffff:ffff:ffff |
| 61 | 2001:db8:0:383:c000::/68 | 2001:db8:0:383:cfff:ffff:ffff:ffff |
| 62 | 2001:db8:0:383:d000::/68 | 2001:db8:0:383:dfff:ffff:ffff:ffff |
| 63 | 2001:db8:0:383:e000::/68 | 2001:db8:0:383:efff:ffff:ffff:ffff |
| 64 | 2001:db8:0:383:f000::/68 | 2001:db8:0:383:ffff:ffff:ffff:ffff |
| 65 | 2001:db8:0:384::/68 | 2001:db8:0:384:fff:ffff:ffff:ffff |
| 66 | 2001:db8:0:384:1000::/68 | 2001:db8:0:384:1fff:ffff:ffff:ffff |
| 67 | 2001:db8:0:384:2000::/68 | 2001:db8:0:384:2fff:ffff:ffff:ffff |
| 68 | 2001:db8:0:384:3000::/68 | 2001:db8:0:384:3fff:ffff:ffff:ffff |
| 69 | 2001:db8:0:384:4000::/68 | 2001:db8:0:384:4fff:ffff:ffff:ffff |
| 70 | 2001:db8:0:384:5000::/68 | 2001:db8:0:384:5fff:ffff:ffff:ffff |
| 71 | 2001:db8:0:384:6000::/68 | 2001:db8:0:384:6fff:ffff:ffff:ffff |
| 72 | 2001:db8:0:384:7000::/68 | 2001:db8:0:384:7fff:ffff:ffff:ffff |
| 73 | 2001:db8:0:384:8000::/68 | 2001:db8:0:384:8fff:ffff:ffff:ffff |
| 74 | 2001:db8:0:384:9000::/68 | 2001:db8:0:384:9fff:ffff:ffff:ffff |
| 75 | 2001:db8:0:384:a000::/68 | 2001:db8:0:384:afff:ffff:ffff:ffff |
| 76 | 2001:db8:0:384:b000::/68 | 2001:db8:0:384:bfff:ffff:ffff:ffff |
| 77 | 2001:db8:0:384:c000::/68 | 2001:db8:0:384:cfff:ffff:ffff:ffff |
| 78 | 2001:db8:0:384:d000::/68 | 2001:db8:0:384:dfff:ffff:ffff:ffff |
| 79 | 2001:db8:0:384:e000::/68 | 2001:db8:0:384:efff:ffff:ffff:ffff |
| 80 | 2001:db8:0:384:f000::/68 | 2001:db8:0:384:ffff:ffff:ffff:ffff |
| 81 | 2001:db8:0:385::/68 | 2001:db8:0:385:fff:ffff:ffff:ffff |
| 82 | 2001:db8:0:385:1000::/68 | 2001:db8:0:385:1fff:ffff:ffff:ffff |
| 83 | 2001:db8:0:385:2000::/68 | 2001:db8:0:385:2fff:ffff:ffff:ffff |
| 84 | 2001:db8:0:385:3000::/68 | 2001:db8:0:385:3fff:ffff:ffff:ffff |
| 85 | 2001:db8:0:385:4000::/68 | 2001:db8:0:385:4fff:ffff:ffff:ffff |
| 86 | 2001:db8:0:385:5000::/68 | 2001:db8:0:385:5fff:ffff:ffff:ffff |
| 87 | 2001:db8:0:385:6000::/68 | 2001:db8:0:385:6fff:ffff:ffff:ffff |
| 88 | 2001:db8:0:385:7000::/68 | 2001:db8:0:385:7fff:ffff:ffff:ffff |
| 89 | 2001:db8:0:385:8000::/68 | 2001:db8:0:385:8fff:ffff:ffff:ffff |
| 90 | 2001:db8:0:385:9000::/68 | 2001:db8:0:385:9fff:ffff:ffff:ffff |
| 91 | 2001:db8:0:385:a000::/68 | 2001:db8:0:385:afff:ffff:ffff:ffff |
| 92 | 2001:db8:0:385:b000::/68 | 2001:db8:0:385:bfff:ffff:ffff:ffff |
| 93 | 2001:db8:0:385:c000::/68 | 2001:db8:0:385:cfff:ffff:ffff:ffff |
| 94 | 2001:db8:0:385:d000::/68 | 2001:db8:0:385:dfff:ffff:ffff:ffff |
| 95 | 2001:db8:0:385:e000::/68 | 2001:db8:0:385:efff:ffff:ffff:ffff |
| 96 | 2001:db8:0:385:f000::/68 | 2001:db8:0:385:ffff:ffff:ffff:ffff |
| 97 | 2001:db8:0:386::/68 | 2001:db8:0:386:fff:ffff:ffff:ffff |
| 98 | 2001:db8:0:386:1000::/68 | 2001:db8:0:386:1fff:ffff:ffff:ffff |
| 99 | 2001:db8:0:386:2000::/68 | 2001:db8:0:386:2fff:ffff:ffff:ffff |
| 100 | 2001:db8:0:386:3000::/68 | 2001:db8:0:386:3fff:ffff:ffff:ffff |
| 101 | 2001:db8:0:386:4000::/68 | 2001:db8:0:386:4fff:ffff:ffff:ffff |
| 102 | 2001:db8:0:386:5000::/68 | 2001:db8:0:386:5fff:ffff:ffff:ffff |
| 103 | 2001:db8:0:386:6000::/68 | 2001:db8:0:386:6fff:ffff:ffff:ffff |
| 104 | 2001:db8:0:386:7000::/68 | 2001:db8:0:386:7fff:ffff:ffff:ffff |
| 105 | 2001:db8:0:386:8000::/68 | 2001:db8:0:386:8fff:ffff:ffff:ffff |
| 106 | 2001:db8:0:386:9000::/68 | 2001:db8:0:386:9fff:ffff:ffff:ffff |
| 107 | 2001:db8:0:386:a000::/68 | 2001:db8:0:386:afff:ffff:ffff:ffff |
| 108 | 2001:db8:0:386:b000::/68 | 2001:db8:0:386:bfff:ffff:ffff:ffff |
| 109 | 2001:db8:0:386:c000::/68 | 2001:db8:0:386:cfff:ffff:ffff:ffff |
| 110 | 2001:db8:0:386:d000::/68 | 2001:db8:0:386:dfff:ffff:ffff:ffff |
| 111 | 2001:db8:0:386:e000::/68 | 2001:db8:0:386:efff:ffff:ffff:ffff |
| 112 | 2001:db8:0:386:f000::/68 | 2001:db8:0:386:ffff:ffff:ffff:ffff |
| 113 | 2001:db8:0:387::/68 | 2001:db8:0:387:fff:ffff:ffff:ffff |
| 114 | 2001:db8:0:387:1000::/68 | 2001:db8:0:387:1fff:ffff:ffff:ffff |
| 115 | 2001:db8:0:387:2000::/68 | 2001:db8:0:387:2fff:ffff:ffff:ffff |
| 116 | 2001:db8:0:387:3000::/68 | 2001:db8:0:387:3fff:ffff:ffff:ffff |
| 117 | 2001:db8:0:387:4000::/68 | 2001:db8:0:387:4fff:ffff:ffff:ffff |
| 118 | 2001:db8:0:387:5000::/68 | 2001:db8:0:387:5fff:ffff:ffff:ffff |
| 119 | 2001:db8:0:387:6000::/68 | 2001:db8:0:387:6fff:ffff:ffff:ffff |
| 120 | 2001:db8:0:387:7000::/68 | 2001:db8:0:387:7fff:ffff:ffff:ffff |
| 121 | 2001:db8:0:387:8000::/68 | 2001:db8:0:387:8fff:ffff:ffff:ffff |
| 122 | 2001:db8:0:387:9000::/68 | 2001:db8:0:387:9fff:ffff:ffff:ffff |
| 123 | 2001:db8:0:387:a000::/68 | 2001:db8:0:387:afff:ffff:ffff:ffff |
| 124 | 2001:db8:0:387:b000::/68 | 2001:db8:0:387:bfff:ffff:ffff:ffff |
| 125 | 2001:db8:0:387:c000::/68 | 2001:db8:0:387:cfff:ffff:ffff:ffff |
| 126 | 2001:db8:0:387:d000::/68 | 2001:db8:0:387:dfff:ffff:ffff:ffff |
| 127 | 2001:db8:0:387:e000::/68 | 2001:db8:0:387:efff:ffff:ffff:ffff |
| 128 | 2001:db8:0:387:f000::/68 | 2001:db8:0:387:ffff:ffff:ffff:ffff |
| 129 | 2001:db8:0:388::/68 | 2001:db8:0:388:fff:ffff:ffff:ffff |
| 130 | 2001:db8:0:388:1000::/68 | 2001:db8:0:388:1fff:ffff:ffff:ffff |
| 131 | 2001:db8:0:388:2000::/68 | 2001:db8:0:388:2fff:ffff:ffff:ffff |
| 132 | 2001:db8:0:388:3000::/68 | 2001:db8:0:388:3fff:ffff:ffff:ffff |
| 133 | 2001:db8:0:388:4000::/68 | 2001:db8:0:388:4fff:ffff:ffff:ffff |
| 134 | 2001:db8:0:388:5000::/68 | 2001:db8:0:388:5fff:ffff:ffff:ffff |
| 135 | 2001:db8:0:388:6000::/68 | 2001:db8:0:388:6fff:ffff:ffff:ffff |
| 136 | 2001:db8:0:388:7000::/68 | 2001:db8:0:388:7fff:ffff:ffff:ffff |
| 137 | 2001:db8:0:388:8000::/68 | 2001:db8:0:388:8fff:ffff:ffff:ffff |
| 138 | 2001:db8:0:388:9000::/68 | 2001:db8:0:388:9fff:ffff:ffff:ffff |
| 139 | 2001:db8:0:388:a000::/68 | 2001:db8:0:388:afff:ffff:ffff:ffff |
| 140 | 2001:db8:0:388:b000::/68 | 2001:db8:0:388:bfff:ffff:ffff:ffff |
| 141 | 2001:db8:0:388:c000::/68 | 2001:db8:0:388:cfff:ffff:ffff:ffff |
| 142 | 2001:db8:0:388:d000::/68 | 2001:db8:0:388:dfff:ffff:ffff:ffff |
| 143 | 2001:db8:0:388:e000::/68 | 2001:db8:0:388:efff:ffff:ffff:ffff |
| 144 | 2001:db8:0:388:f000::/68 | 2001:db8:0:388:ffff:ffff:ffff:ffff |
| 145 | 2001:db8:0:389::/68 | 2001:db8:0:389:fff:ffff:ffff:ffff |
| 146 | 2001:db8:0:389:1000::/68 | 2001:db8:0:389:1fff:ffff:ffff:ffff |
| 147 | 2001:db8:0:389:2000::/68 | 2001:db8:0:389:2fff:ffff:ffff:ffff |
| 148 | 2001:db8:0:389:3000::/68 | 2001:db8:0:389:3fff:ffff:ffff:ffff |
| 149 | 2001:db8:0:389:4000::/68 | 2001:db8:0:389:4fff:ffff:ffff:ffff |
| 150 | 2001:db8:0:389:5000::/68 | 2001:db8:0:389:5fff:ffff:ffff:ffff |
| 151 | 2001:db8:0:389:6000::/68 | 2001:db8:0:389:6fff:ffff:ffff:ffff |
| 152 | 2001:db8:0:389:7000::/68 | 2001:db8:0:389:7fff:ffff:ffff:ffff |
| 153 | 2001:db8:0:389:8000::/68 | 2001:db8:0:389:8fff:ffff:ffff:ffff |
| 154 | 2001:db8:0:389:9000::/68 | 2001:db8:0:389:9fff:ffff:ffff:ffff |
| 155 | 2001:db8:0:389:a000::/68 | 2001:db8:0:389:afff:ffff:ffff:ffff |
| 156 | 2001:db8:0:389:b000::/68 | 2001:db8:0:389:bfff:ffff:ffff:ffff |
| 157 | 2001:db8:0:389:c000::/68 | 2001:db8:0:389:cfff:ffff:ffff:ffff |
| 158 | 2001:db8:0:389:d000::/68 | 2001:db8:0:389:dfff:ffff:ffff:ffff |
| 159 | 2001:db8:0:389:e000::/68 | 2001:db8:0:389:efff:ffff:ffff:ffff |
| 160 | 2001:db8:0:389:f000::/68 | 2001:db8:0:389:ffff:ffff:ffff:ffff |
| 161 | 2001:db8:0:38a::/68 | 2001:db8:0:38a:fff:ffff:ffff:ffff |
| 162 | 2001:db8:0:38a:1000::/68 | 2001:db8:0:38a:1fff:ffff:ffff:ffff |
| 163 | 2001:db8:0:38a:2000::/68 | 2001:db8:0:38a:2fff:ffff:ffff:ffff |
| 164 | 2001:db8:0:38a:3000::/68 | 2001:db8:0:38a:3fff:ffff:ffff:ffff |
| 165 | 2001:db8:0:38a:4000::/68 | 2001:db8:0:38a:4fff:ffff:ffff:ffff |
| 166 | 2001:db8:0:38a:5000::/68 | 2001:db8:0:38a:5fff:ffff:ffff:ffff |
| 167 | 2001:db8:0:38a:6000::/68 | 2001:db8:0:38a:6fff:ffff:ffff:ffff |
| 168 | 2001:db8:0:38a:7000::/68 | 2001:db8:0:38a:7fff:ffff:ffff:ffff |
| 169 | 2001:db8:0:38a:8000::/68 | 2001:db8:0:38a:8fff:ffff:ffff:ffff |
| 170 | 2001:db8:0:38a:9000::/68 | 2001:db8:0:38a:9fff:ffff:ffff:ffff |
| 171 | 2001:db8:0:38a:a000::/68 | 2001:db8:0:38a:afff:ffff:ffff:ffff |
| 172 | 2001:db8:0:38a:b000::/68 | 2001:db8:0:38a:bfff:ffff:ffff:ffff |
| 173 | 2001:db8:0:38a:c000::/68 | 2001:db8:0:38a:cfff:ffff:ffff:ffff |
| 174 | 2001:db8:0:38a:d000::/68 | 2001:db8:0:38a:dfff:ffff:ffff:ffff |
| 175 | 2001:db8:0:38a:e000::/68 | 2001:db8:0:38a:efff:ffff:ffff:ffff |
| 176 | 2001:db8:0:38a:f000::/68 | 2001:db8:0:38a:ffff:ffff:ffff:ffff |
| 177 | 2001:db8:0:38b::/68 | 2001:db8:0:38b:fff:ffff:ffff:ffff |
| 178 | 2001:db8:0:38b:1000::/68 | 2001:db8:0:38b:1fff:ffff:ffff:ffff |
| 179 | 2001:db8:0:38b:2000::/68 | 2001:db8:0:38b:2fff:ffff:ffff:ffff |
| 180 | 2001:db8:0:38b:3000::/68 | 2001:db8:0:38b:3fff:ffff:ffff:ffff |
| 181 | 2001:db8:0:38b:4000::/68 | 2001:db8:0:38b:4fff:ffff:ffff:ffff |
| 182 | 2001:db8:0:38b:5000::/68 | 2001:db8:0:38b:5fff:ffff:ffff:ffff |
| 183 | 2001:db8:0:38b:6000::/68 | 2001:db8:0:38b:6fff:ffff:ffff:ffff |
| 184 | 2001:db8:0:38b:7000::/68 | 2001:db8:0:38b:7fff:ffff:ffff:ffff |
| 185 | 2001:db8:0:38b:8000::/68 | 2001:db8:0:38b:8fff:ffff:ffff:ffff |
| 186 | 2001:db8:0:38b:9000::/68 | 2001:db8:0:38b:9fff:ffff:ffff:ffff |
| 187 | 2001:db8:0:38b:a000::/68 | 2001:db8:0:38b:afff:ffff:ffff:ffff |
| 188 | 2001:db8:0:38b:b000::/68 | 2001:db8:0:38b:bfff:ffff:ffff:ffff |
| 189 | 2001:db8:0:38b:c000::/68 | 2001:db8:0:38b:cfff:ffff:ffff:ffff |
| 190 | 2001:db8:0:38b:d000::/68 | 2001:db8:0:38b:dfff:ffff:ffff:ffff |
| 191 | 2001:db8:0:38b:e000::/68 | 2001:db8:0:38b:efff:ffff:ffff:ffff |
| 192 | 2001:db8:0:38b:f000::/68 | 2001:db8:0:38b:ffff:ffff:ffff:ffff |
| 193 | 2001:db8:0:38c::/68 | 2001:db8:0:38c:fff:ffff:ffff:ffff |
| 194 | 2001:db8:0:38c:1000::/68 | 2001:db8:0:38c:1fff:ffff:ffff:ffff |
| 195 | 2001:db8:0:38c:2000::/68 | 2001:db8:0:38c:2fff:ffff:ffff:ffff |
| 196 | 2001:db8:0:38c:3000::/68 | 2001:db8:0:38c:3fff:ffff:ffff:ffff |
| 197 | 2001:db8:0:38c:4000::/68 | 2001:db8:0:38c:4fff:ffff:ffff:ffff |
| 198 | 2001:db8:0:38c:5000::/68 | 2001:db8:0:38c:5fff:ffff:ffff:ffff |
| 199 | 2001:db8:0:38c:6000::/68 | 2001:db8:0:38c:6fff:ffff:ffff:ffff |
| 200 | 2001:db8:0:38c:7000::/68 | 2001:db8:0:38c:7fff:ffff:ffff:ffff |
| 201 | 2001:db8:0:38c:8000::/68 | 2001:db8:0:38c:8fff:ffff:ffff:ffff |
| 202 | 2001:db8:0:38c:9000::/68 | 2001:db8:0:38c:9fff:ffff:ffff:ffff |
| 203 | 2001:db8:0:38c:a000::/68 | 2001:db8:0:38c:afff:ffff:ffff:ffff |
| 204 | 2001:db8:0:38c:b000::/68 | 2001:db8:0:38c:bfff:ffff:ffff:ffff |
| 205 | 2001:db8:0:38c:c000::/68 | 2001:db8:0:38c:cfff:ffff:ffff:ffff |
| 206 | 2001:db8:0:38c:d000::/68 | 2001:db8:0:38c:dfff:ffff:ffff:ffff |
| 207 | 2001:db8:0:38c:e000::/68 | 2001:db8:0:38c:efff:ffff:ffff:ffff |
| 208 | 2001:db8:0:38c:f000::/68 | 2001:db8:0:38c:ffff:ffff:ffff:ffff |
| 209 | 2001:db8:0:38d::/68 | 2001:db8:0:38d:fff:ffff:ffff:ffff |
| 210 | 2001:db8:0:38d:1000::/68 | 2001:db8:0:38d:1fff:ffff:ffff:ffff |
| 211 | 2001:db8:0:38d:2000::/68 | 2001:db8:0:38d:2fff:ffff:ffff:ffff |
| 212 | 2001:db8:0:38d:3000::/68 | 2001:db8:0:38d:3fff:ffff:ffff:ffff |
| 213 | 2001:db8:0:38d:4000::/68 | 2001:db8:0:38d:4fff:ffff:ffff:ffff |
| 214 | 2001:db8:0:38d:5000::/68 | 2001:db8:0:38d:5fff:ffff:ffff:ffff |
| 215 | 2001:db8:0:38d:6000::/68 | 2001:db8:0:38d:6fff:ffff:ffff:ffff |
| 216 | 2001:db8:0:38d:7000::/68 | 2001:db8:0:38d:7fff:ffff:ffff:ffff |
| 217 | 2001:db8:0:38d:8000::/68 | 2001:db8:0:38d:8fff:ffff:ffff:ffff |
| 218 | 2001:db8:0:38d:9000::/68 | 2001:db8:0:38d:9fff:ffff:ffff:ffff |
| 219 | 2001:db8:0:38d:a000::/68 | 2001:db8:0:38d:afff:ffff:ffff:ffff |
| 220 | 2001:db8:0:38d:b000::/68 | 2001:db8:0:38d:bfff:ffff:ffff:ffff |
| 221 | 2001:db8:0:38d:c000::/68 | 2001:db8:0:38d:cfff:ffff:ffff:ffff |
| 222 | 2001:db8:0:38d:d000::/68 | 2001:db8:0:38d:dfff:ffff:ffff:ffff |
| 223 | 2001:db8:0:38d:e000::/68 | 2001:db8:0:38d:efff:ffff:ffff:ffff |
| 224 | 2001:db8:0:38d:f000::/68 | 2001:db8:0:38d:ffff:ffff:ffff:ffff |
| 225 | 2001:db8:0:38e::/68 | 2001:db8:0:38e:fff:ffff:ffff:ffff |
| 226 | 2001:db8:0:38e:1000::/68 | 2001:db8:0:38e:1fff:ffff:ffff:ffff |
| 227 | 2001:db8:0:38e:2000::/68 | 2001:db8:0:38e:2fff:ffff:ffff:ffff |
| 228 | 2001:db8:0:38e:3000::/68 | 2001:db8:0:38e:3fff:ffff:ffff:ffff |
| 229 | 2001:db8:0:38e:4000::/68 | 2001:db8:0:38e:4fff:ffff:ffff:ffff |
| 230 | 2001:db8:0:38e:5000::/68 | 2001:db8:0:38e:5fff:ffff:ffff:ffff |
| 231 | 2001:db8:0:38e:6000::/68 | 2001:db8:0:38e:6fff:ffff:ffff:ffff |
| 232 | 2001:db8:0:38e:7000::/68 | 2001:db8:0:38e:7fff:ffff:ffff:ffff |
| 233 | 2001:db8:0:38e:8000::/68 | 2001:db8:0:38e:8fff:ffff:ffff:ffff |
| 234 | 2001:db8:0:38e:9000::/68 | 2001:db8:0:38e:9fff:ffff:ffff:ffff |
| 235 | 2001:db8:0:38e:a000::/68 | 2001:db8:0:38e:afff:ffff:ffff:ffff |
| 236 | 2001:db8:0:38e:b000::/68 | 2001:db8:0:38e:bfff:ffff:ffff:ffff |
| 237 | 2001:db8:0:38e:c000::/68 | 2001:db8:0:38e:cfff:ffff:ffff:ffff |
| 238 | 2001:db8:0:38e:d000::/68 | 2001:db8:0:38e:dfff:ffff:ffff:ffff |
| 239 | 2001:db8:0:38e:e000::/68 | 2001:db8:0:38e:efff:ffff:ffff:ffff |
| 240 | 2001:db8:0:38e:f000::/68 | 2001:db8:0:38e:ffff:ffff:ffff:ffff |
| 241 | 2001:db8:0:38f::/68 | 2001:db8:0:38f:fff:ffff:ffff:ffff |
| 242 | 2001:db8:0:38f:1000::/68 | 2001:db8:0:38f:1fff:ffff:ffff:ffff |
| 243 | 2001:db8:0:38f:2000::/68 | 2001:db8:0:38f:2fff:ffff:ffff:ffff |
| 244 | 2001:db8:0:38f:3000::/68 | 2001:db8:0:38f:3fff:ffff:ffff:ffff |
| 245 | 2001:db8:0:38f:4000::/68 | 2001:db8:0:38f:4fff:ffff:ffff:ffff |
| 246 | 2001:db8:0:38f:5000::/68 | 2001:db8:0:38f:5fff:ffff:ffff:ffff |
| 247 | 2001:db8:0:38f:6000::/68 | 2001:db8:0:38f:6fff:ffff:ffff:ffff |
| 248 | 2001:db8:0:38f:7000::/68 | 2001:db8:0:38f:7fff:ffff:ffff:ffff |
| 249 | 2001:db8:0:38f:8000::/68 | 2001:db8:0:38f:8fff:ffff:ffff:ffff |
| 250 | 2001:db8:0:38f:9000::/68 | 2001:db8:0:38f:9fff:ffff:ffff:ffff |
| 251 | 2001:db8:0:38f:a000::/68 | 2001:db8:0:38f:afff:ffff:ffff:ffff |
| 252 | 2001:db8:0:38f:b000::/68 | 2001:db8:0:38f:bfff:ffff:ffff:ffff |
| 253 | 2001:db8:0:38f:c000::/68 | 2001:db8:0:38f:cfff:ffff:ffff:ffff |
| 254 | 2001:db8:0:38f:d000::/68 | 2001:db8:0:38f:dfff:ffff:ffff:ffff |
| 255 | 2001:db8:0:38f:e000::/68 | 2001:db8:0:38f:efff:ffff:ffff:ffff |
| 256 | 2001:db8:0:38f:f000::/68 | 2001:db8:0:38f:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |